Bug 190810 - Remote register badly formatted
Remote register badly formatted
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Depends On:
  Show dependency treegraph
Reported: 2006-05-05 08:17 EDT by Robin Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: gdb-6.5-13.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-27 06:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Green 2006-05-05 08:17:11 EDT
Description of problem:
Debugging an x86_64 program remotely from another x86_64 machine doesn't work.
When I type target remote
it gives an error (see below for full error).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start gdbserver on the remote machine and attach to a pid
2. Start gdb
3. Type "target remote"
Actual results:
Remote debugging using
Couldn't establish connection to remote target
Remote register badly formatted:
here: 0000000;07:a00ec8ffff7f0000;10:5fab1023e62a0000;

Expected results:
No error
Comment 1 Jan Kratochvil 2006-09-26 11:30:18 EDT
Your target architecture of gdb does not match the gdbserver architecture.
gdb unfortunately (due to bfd) defaults to 32-bit target ("i386") while its
native target would be "i386:x86_64".

As you generally should load the debug information anyway, please use "file"
command first before using the "target remote" command.

If you do not have the binary locally available you must at least use "set
architecture i386:x86_64".

Going to patch there this suggestion as I understand the error reason is unclear.
Comment 2 Jan Kratochvil 2006-10-01 15:26:33 EDT
(Suggestion only way) to be fixed in gdb-6.5-11.fc6, thanks for your bugreport.
Still it should get autodetected one day.
Comment 3 Fedora Update System 2006-10-26 13:46:00 EDT
gdb-6.5-13.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Jan Kratochvil 2007-01-27 06:19:16 EST
Formal mistake, state MODIFIED is invalid for FC bugs.

Note You need to log in before you can comment on or make changes to this bug.